io.vertx.serviceproxy.generator

## Class ServiceProxyHandlerGen

- java.lang.Object
- - io.vertx.codegen.Generator<ProxyModel>
  - - io.vertx.serviceproxy.generator.ServiceProxyHandlerGen

-     public class ServiceProxyHandlerGen
      extends io.vertx.codegen.Generator<ProxyModel>

  Author:
    Francesco Guardiani @slinkydeveloper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<String,String>` | `numericMapping`
    `GeneratorUtils` | `utils`

    - ### Fields inherited from class io.vertx.codegen.Generator

      `env, incremental, kinds, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceProxyHandlerGen(GeneratorUtils utils)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.stream.Stream<String>` | `additionalImports(ProxyModel model)`
    `String` | `className(ProxyModel model)`
    `String` | `filename(ProxyModel model)`
    `void` | `generateActionSwitchEntry(ProxyMethodInfo m, io.vertx.codegen.writer.CodeWriter writer)`
    `String` | `generateHandler(io.vertx.codegen.ParamInfo param)`
    `String` | `generateJsonParamExtract(io.vertx.codegen.ParamInfo param)`
    `String` | `render(ProxyModel model, int index, int size, Map<String,Object> session)`

    - ### Methods inherited from class io.vertx.codegen.Generator

      `load`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### utils

          public final GeneratorUtils utils

    - #### numericMapping

          public static final Map<String,String> numericMapping

  - ### Constructor Detail

    - #### ServiceProxyHandlerGen

          public ServiceProxyHandlerGen(GeneratorUtils utils)

  - ### Method Detail

    - #### filename

          public String filename(ProxyModel model)

      Overrides:
        `filename` in class `io.vertx.codegen.Generator<ProxyModel>`

    - #### className

          public String className(ProxyModel model)

    - #### additionalImports

          public java.util.stream.Stream<String> additionalImports(ProxyModel model)

    - #### render

          public String render(ProxyModel model,
                               int index,
                               int size,
                               Map<String,Object> session)

      Overrides:
        `render` in class `io.vertx.codegen.Generator<ProxyModel>`

    - #### generateActionSwitchEntry

          public void generateActionSwitchEntry(ProxyMethodInfo m,
                                                io.vertx.codegen.writer.CodeWriter writer)

    - #### generateJsonParamExtract

          public String generateJsonParamExtract(io.vertx.codegen.ParamInfo param)

    - #### generateHandler

          public String generateHandler(io.vertx.codegen.ParamInfo param)

Copyright © 2018 Eclipse. All rights reserved.